package conf

import (
	oogc "git.loafle.net/overflow/overflow_gateway_config"
)

var Config Conf

type Conf struct {
	Server    oogc.Server             `json:"server" yaml:"server" toml:"server"`
	Auth      oogc.Auth               `json:"auth" yaml:"auth" toml:"auth"`
	Websocket oogc.Websocket          `json:"websocket" yaml:"websocket" toml:"websocket"`
	GRPC      oogc.GRPC               `json:"gRPC" yaml:"gRPC" toml:"gRPC"`
	Redis     oogc.Redis              `json:"redis" yaml:"redis" toml:"redis"`
	Handlers  map[string]oogc.Handler `json:"handlers" yaml:"handlers" toml:"handlers"`
}
