package server

import (
	cwf "git.loafle.net/commons_go/websocket_fasthttp"
	"git.loafle.net/overflow/overflow_gateway_app/servlet/web"
)

func New() cwf.Server {
	sh := newServerHandler()
	wsh := web.NewSocketHandler()

	sh.RegisterSocketHandler("/web", wsh)

	s := cwf.New(sh)

	return s
}
